%define upstream_name    Tie-Hash-MultiValue
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Hash w/multiple items under a single key
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildRequires: perl(Tie::Hash) >= 1.0.0
BuildArch:  noarch

%description
'Tie::Hash::MultiValue' allows you to have hashes which store their values
in anonymous arrays, appending any new value to the already-existing ones.

This means that you can store as many items as you like under a single key,
and access them all at once by accessing the value stored under the key.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.70.0-1.mga10
+ Revision: 2141967
- update to 1.07

* Mon Mar 21 2022 umeabot <umeabot> 1.60.0-2.mga9
+ Revision: 1812407
- Mageia 9 Mass Rebuild

* Sat Feb 22 2020 shlomif <shlomif> 1.60.0-1.mga8
+ Revision: 1549298
- update to 1.06

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-3.mga8
+ Revision: 1506803
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.50.0-2.mga7
+ Revision: 1287024
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 1.50.0-1.mga7
+ Revision: 1238941
- update to 1.05

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1035199
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 934804
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 742071
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 686684
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 515653
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 374307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 23407
- cleaning spec file
- imported package perl-Tie-Hash-MultiValue

